[alsa-devel] ASoC: OMAP mcbsp: dai->dev is missing warning

Peter Ujfalusi peter.ujfalusi at nokia.com
Thu Dec 3 10:45:47 CET 2009


Recently the following warnings appeared during the bootup on OMAP platforms:

No device for DAI omap-mcbsp-dai-0
No device for DAI omap-mcbsp-dai-1
No device for DAI omap-mcbsp-dai-2
No device for DAI omap-mcbsp-dai-3
No device for DAI omap-mcbsp-dai-4

I have taken a look, and it is printed, because the dai->dev is NULL for OMAP 
McBSP DAIs. Also the comment there states, that the dai->dev will become 
mandatory in the future.
At the moment the platform device/driver is not used for the 
sound/soc/omap/omap-mcbsp, it is used for the arch/arm/plat-omap/mcbsp.c, so we 
really don't have possibility at the moment to provide a valid dai->dev for ASoC 
at the moment.

Mark: Do you have some estimates, when the dai->dev will become mandatory?

Jarkko: Shall we start to think about the possibilities to provide a valid dai-
>dev for the mcbsp DAIs?


More information about the Alsa-devel mailing list